Bug 533643 - audio CDs aren't recognised and produce kernel errors
audio CDs aren't recognised and produce kernel errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
16
All Linux
low Severity high
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On: 513495
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-07 22:19 EST by Alex Lancaster
Modified: 2013-02-13 21:46 EST (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 513495
Environment:
Last Closed: 2013-02-13 21:46:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
brasero log for failed burn (10.96 KB, text/plain)
2010-01-29 18:13 EST, Mike C
no flags Details
Output from udevadm (1.15 KB, text/plain)
2010-09-09 08:43 EDT, Benjamín Valero Espinosa
no flags Details
Output from udevadm test /class/block/sr0 (15.31 KB, text/plain)
2010-11-20 22:06 EST, Joseph Shraibman
no flags Details
output of udevadm test /class/block/sr0 on Enigma of Life CD (16.57 KB, text/plain)
2011-07-13 22:55 EDT, Joseph Shraibman
no flags Details
/var/log/messages snippet with cdrom and scsi debugging (426.81 KB, text/plain)
2011-08-07 01:29 EDT, eric@ericgar.com
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 15757 None None None Never

  None (edit)
Description Alex Lancaster 2009-11-07 22:19:15 EST
+++ This bug was initially created as a clone of Bug #513495 +++

Insertion of CDs and DVDs produce errors in /var/log/messages.  In some circumstances this means that CDs aren't recognised by certain programs.  This was originally started as bug #513495, and although most of the problems of that bug were fixed by a DeviceKit-disks update, many problems appear to remain for several users (including myself).

Not sure if this should be a kernel bug, but opening here to start with, feel free to reassign to more appropriate component, if known.

Specific example:

For example, rhythmbox won't see the inserted CDs if a very simple Window manager like fvwm (i.e. non-GNOME, non-KDE) is being used, although will be recognised when GNOME is running.

Here is the kernel output:

Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  7 22:14:45 htpc kernel: end_request: I/O error, dev sr0, sector 0
Nov  7 22:14:45 htpc kernel: __ratelimit: 12 callbacks suppressed
Nov  7 22:14:45 htpc kernel: Buffer I/O error on device sr0, logical block 0
Nov  7 22:14:45 htpc kernel: Buffer I/O error on device sr0, logical block 1
Nov  7 22:14:45 htpc kernel: Buffer I/O error on device sr0, logical block 2
Nov  7 22:14:45 htpc kernel: Buffer I/O error on device sr0, logical block 3
Nov  7 22:14:45 htpc kernel: Buffer I/O error on device sr0, logical block 4
Nov  7 22:14:45 htpc kernel: Buffer I/O error on device sr0, logical block 5
Nov  7 22:14:45 htpc kernel: Buffer I/O error on device sr0, logical block 6
Nov  7 22:14:45 htpc kernel: Buffer I/O error on device sr0, logical block 7
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  7 22:14:45 htpc kernel: end_request: I/O error, dev sr0, sector 0
Nov  7 22:14:45 htpc kernel: Buffer I/O error on device sr0, logical block 0
Nov  7 22:14:45 htpc kernel: Buffer I/O error on device sr0, logical block 1
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  7 22:14:45 htpc kernel: end_request: I/O error, dev sr0, sector 0
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  7 22:14:45 htpc kernel: end_request: I/O error, dev sr0, sector 0
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Nov  7 22:14:45 htpc kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  7 22:14:45 htpc kernel: end_request: I/O error, dev sr0, sector 0
Comment 1 Alex Lancaster 2009-11-07 22:26:42 EST
Regarding bug #513495 comment #45, I tried running strace grip but I got a segfault:

Nov  7 22:22:38 htpc kernel: strace[7104] general protection ip:3ffa075bc8 sp:7fff97eccf00 error:0 in libc-2.10.1.so[3ffa000000+164000]
Comment 2 peter 2009-11-08 10:41:03 EST
Hi Alex,
I have the same messages in /var/log/messages:
Nov  8 15:59:34 localhost automount[1975]: lookup_mount: exports lookup failed for .directory          
Nov  8 15:59:34 localhost automount[1975]: update_negative_cache: key ".directory" not found in map.
Nov  8 15:59:34 localhost automount[1975]: update_negative_cache: key ".directory" not found in map.
Nov  8 16:00:02 localhost ntpd[2063]: synchronized to 141.40.103.103, stratum 2
Nov  8 16:06:58 localhost ntpd[2063]: synchronized to 85.214.108.169, stratum 2
Nov  8 16:12:58 localhost ntpd[2063]: synchronized to 141.40.103.103, stratum 2
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  8 16:24:07 localhost kernel: Info fld=0x0, ILI
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  8 16:24:07 localhost kernel: end_request: I/O error, dev sr0, sector 0
Nov  8 16:24:07 localhost kernel: Buffer I/O error on device sr0, logical block 0
Nov  8 16:24:07 localhost kernel: Buffer I/O error on device sr0, logical block 1
Nov  8 16:24:07 localhost kernel: Buffer I/O error on device sr0, logical block 2
Nov  8 16:24:07 localhost kernel: Buffer I/O error on device sr0, logical block 3
Nov  8 16:24:07 localhost kernel: Buffer I/O error on device sr0, logical block 4
Nov  8 16:24:07 localhost kernel: Buffer I/O error on device sr0, logical block 5
Nov  8 16:24:07 localhost kernel: Buffer I/O error on device sr0, logical block 6
Nov  8 16:24:07 localhost kernel: Buffer I/O error on device sr0, logical block 7
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  8 16:24:07 localhost kernel: Info fld=0x0, ILI
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  8 16:24:07 localhost kernel: end_request: I/O error, dev sr0, sector 0
Nov  8 16:24:07 localhost kernel: Buffer I/O error on device sr0, logical block 0
Nov  8 16:24:07 localhost kernel: Buffer I/O error on device sr0, logical block 1
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  8 16:24:07 localhost kernel: Info fld=0x0, ILI
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  8 16:24:07 localhost kernel: end_request: I/O error, dev sr0, sector 0
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  8 16:24:07 localhost kernel: Info fld=0x0, ILI
Nov  8 16:24:07 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  8 16:24:07 localhost kernel: end_request: I/O error, dev sr0, sector 0

But you can solve the bug like this:
ln -s /dev/cdrom1 /dev/cdrom

Apologies if I repeat myself, but I fixed that bug on fedora 11 with "fedora kde" and standard kde. Both versions work. Try it!
Comment 3 Alex Lancaster 2009-11-08 17:44:54 EST
Thanks, and I did see your bug #513495 comment #75, but I think the /dev/cdrom1 fix must be somehow specific to your system.  It's possible it's KDE-specific (I'm running GNOME and/or fvwm).  Do the kernel log messages go away completely with that symlink?

On my system /dev/cdrom symlinks to /dev/sr0:

$ ls -l /dev/cdrom*
lrwxrwxrwx. 1 root root 3 2009-11-07 02:27 /dev/cdrom -> sr0

So symlinking to /dev/cdrom1 (which is a non-existent device) doesn't really help.  I also get the same kernel messages:

Nov  8 17:40:47 allele3 kernel: sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  8 17:40:47 allele3 kernel: Info fld=0x0, ILI
Nov  8 17:40:47 allele3 kernel: sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  8 17:40:47 allele3 kernel: end_request: I/O error, dev sr0, sector 0
Nov  8 17:40:47 allele3 kernel: __ratelimit: 4 callbacks suppressed
Nov  8 17:40:47 allele3 kernel: Buffer I/O error on device sr0, logical block 0
Nov  8 17:40:47 allele3 kernel: Buffer I/O error on device sr0, logical block 1
Nov  8 17:40:47 allele3 kernel: Buffer I/O error on device sr0, logical block 2
Nov  8 17:40:47 allele3 kernel: Buffer I/O error on device sr0, logical block 3
Nov  8 17:40:47 allele3 kernel: Buffer I/O error on device sr0, logical block 4
Nov  8 17:40:47 allele3 kernel: Buffer I/O error on device sr0, logical block 5
Nov  8 17:40:47 allele3 kernel: Buffer I/O error on device sr0, logical block 6
Nov  8 17:40:47 allele3 kernel: Buffer I/O error on device sr0, logical block 7
Nov  8 17:40:48 allele3 kernel: sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  8 17:40:48 allele3 kernel: sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  8 17:40:48 allele3 kernel: Info fld=0x0, ILI
Nov  8 17:40:48 allele3 kernel: sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  8 17:40:48 allele3 kernel: end_request: I/O error, dev sr0, sector 0
Nov  8 17:40:48 allele3 kernel: Buffer I/O error on device sr0, logical block 0
Nov  8 17:40:48 allele3 kernel: Buffer I/O error on device sr0, logical block 1
Nov  8 17:40:53 allele3 kernel: sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  8 17:40:53 allele3 kernel: sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  8 17:40:53 allele3 kernel: Info fld=0x0, ILI
Nov  8 17:40:53 allele3 kernel: sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  8 17:40:53 allele3 kernel: end_request: I/O error, dev sr0, sector 0
Nov  8 17:40:53 allele3 kernel: Buffer I/O error on device sr0, logical block 0
Nov  8 17:40:53 allele3 kernel: Buffer I/O error on device sr0, logical block 1
Nov  8 17:40:53 allele3 kernel: sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  8 17:40:53 allele3 kernel: sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  8 17:40:53 allele3 kernel: Info fld=0x0, ILI
Nov  8 17:40:53 allele3 kernel: sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  8 17:40:53 allele3 kernel: end_request: I/O error, dev sr0, sector 0
Nov  8 17:40:53 allele3 kernel: Buffer I/O error on device sr0, logical block 0
Nov  8 17:40:53 allele3 kernel: Buffer I/O error on device sr0, logical block 1
Comment 4 Alex Lancaster 2009-11-08 23:47:19 EST
Seems like this bug is very similar (or possibly a dupe of): bug #485551.  Same symptoms.
Comment 5 peter 2009-11-09 12:54:40 EST
Yes the kernel log messages do go away completely
with that symlink. Entries before:

Nov  9 18:33:01 localhost kernel: end_request: I/O error, dev sr0, sector 0
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 0
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 1
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 2
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 3
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 4
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 5
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 6
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 7
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  9 18:33:01 localhost kernel: Info fld=0x0, ILI
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  9 18:33:01 localhost kernel: end_request: I/O error, dev sr0, sector 0
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 0
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 1
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  9 18:33:01 localhost kernel: Info fld=0x0, ILI
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  9 18:33:01 localhost kernel: end_request: I/O error, dev sr0, sector 0
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  9 18:33:01 localhost kernel: Info fld=0x0, ILI
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  9 18:33:01 localhost kernel: end_request: I/O error, dev sr0, sector 0

After setting the link I can play the audiocd. cat /var/log/messages again:

Nov  9 18:33:01 localhost kernel: end_request: I/O error, dev sr0, sector 0
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 0
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 1
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 2
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 3
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 4
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 5
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 6
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 7
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  9 18:33:01 localhost kernel: Info fld=0x0, ILI
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  9 18:33:01 localhost kernel: end_request: I/O error, dev sr0, sector 0
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 0
Nov  9 18:33:01 localhost kernel: Buffer I/O error on device sr0, logical block 1
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  9 18:33:01 localhost kernel: Info fld=0x0, ILI
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  9 18:33:01 localhost kernel: end_request: I/O error, dev sr0, sector 0
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Nov  9 18:33:01 localhost kernel: Info fld=0x0, ILI
Nov  9 18:33:01 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Nov  9 18:33:01 localhost kernel: end_request: I/O error, dev sr0, sector 0

No new messages. I'm using kde from fedora team.
Comment 6 Nik Lam 2009-11-26 10:27:49 EST
I've been affected by this problem on F11 right up until this evening, when I carried out a full re-install of F12. The problem still persists - see BZ # 531885 which was started when F12 was still Rawhide.
Comment 7 Alex Lancaster 2009-11-26 17:34:44 EST
Generate autolink for bug #531885
Comment 8 Alex Lancaster 2009-11-26 17:36:58 EST
(In reply to comment #6)
> I've been affected by this problem on F11 right up until this evening, when I
> carried out a full re-install of F12. The problem still persists - see BZ #
> 531885 which was started when F12 was still Rawhide.  

Nik, thanks for the pointer to the F-12 bug.  Just a small request: when you list bugs in the report, it would be helpful if you used the format "bug #<number>" rather than "BZ #<number>", bugzilla autogenerates links for the first format, but not for the second.  Thanks.
Comment 9 Nik Lam 2009-12-08 17:23:06 EST
I created live USB installations of Fedora 10 (i386) and Fedora 11 (i386), following 

 https://fedoraproject.org/wiki/FedoraLiveCD/USBHowTo

On my laptop (Lenovo ThinkPad x301), I do not see the problem on Fedora 10 - audio CDs play just fine, but the problem does occur on Fedora 11.
Comment 10 Joe 2009-12-17 08:00:35 EST
Hi,

Having installed Fedora 10 via a MythTV DVD (MythDora 10.21), I am having similar problems with these error messages in /var/log/messages and audio cd's not playing correctly.  In order to try and solve this, I have subsequently build Myth from the latest source, applied all the latest FC updates and even build a new kernel (2.6.27.41-170.2.117) from scratch.  

I still have the problem and am non the wiser on what I need to do to fix it.  I notice that there are many bug reports for this issue ranging from FC10 to FC12 and other than being closed as duplicates or just linked in a circular manor, there does not appear to be a resolution.

HELP - IS THERE A FIX !!

My wife keeps asking when we are going to put this HT PC back on ebay and buy a freeview box.
Comment 11 peter 2009-12-19 19:02:42 EST
Hi,

the bug doesn't exist any longer on FC12 2.6.31.6-166.fc12.x86_64 with KDE4.3.3. 

Many thanks to all developers!
Comment 12 Joe 2009-12-20 05:05:18 EST
Thanks for the info Peter, that's really great for those of you running FC12.

Do we know what the fix is and if it will be applied to FC10 ?
Comment 13 Fabian A. Scherschel 2009-12-20 07:46:32 EST
Nope, still present for me on 2.6.31.6-166.fc12.i686

Sound Juicer returns:

[fabsh@serenity ~]$ sound-juicer 
0:00:00.374907773 23470  0x8a2e398 ERROR           GST_PIPELINE ./grammar.y:609:_gst_parse_yyparse: no element "faac"
Comment 14 peter 2009-12-20 09:53:08 EST
Sorry Joe, I can't tell you the reason why FC12 works now whitout the known bug. I just see in my update history following details:
12.13 rpmfusion-free-release,kmod-nvidia-2.6.31.6-166.fc12.x86_64,rpmfusion-nonfree-release
12.16 bash, poppler,libuuid,libblkid,util-linux-ng,poppler-qt4,poppler-glib,lftp,kdelibs3,linuxwacom,nfs-utils,poppler-utils,elinks,rsyslog,less,ibus-anthy,ibus-rawcode,constantine-backgrounds-single,selinux-policy,selinux-policy-targeted,constantine-backgrounds,constantine-backgrounds-kde,libuuid-devel,xkeyboard-config,libuuid,ktorrent-libs,ktorrent
12.17 freetype-freeworld
I didn't try to launch kscd after every update (shame on me) but about two weeks ago it didn't work.

@Fabian: Have you installed faac-1.28-2.fc12.i686.rpm and faac-devel-1.28-6.fc12.i686.rpm on your system?
Comment 15 Fabian A. Scherschel 2009-12-20 11:26:33 EST
It's currently not installed. I did not uninstall it and I didn't get that error previously. Anyhow, my system is still not mounting audio CDs. Data CDs work. Also, audio CDs work in an Ubuntu-based live environment.
Comment 16 Alex Lancaster 2009-12-20 17:26:13 EST
(In reply to comment #12)
> Thanks for the info Peter, that's really great for those of you running FC12.
> 
> Do we know what the fix is and if it will be applied to FC10 ?  

Unfortunately the fix will never be applied to F-10 as it is now EOL as of this Friday and no new updates can be issued against it:

https://www.redhat.com/archives/fedora-announce-list/2009-December/msg00014.html

you should probably upgrade to F-12 (or at least F-11).
Comment 17 Tim Pepper 2009-12-22 15:16:50 EST
I did a full install of x86_64 F-12 over my x86/PAE F-11 install for other reasons and as a side effect seem to have lost whatever the bug was.  Not the most convenient way to fix a bug.  And not the most useful datapoint, but thought I'd share...
Comment 18 Roderick Johnstone 2009-12-30 11:14:19 EST
So, I'm seeing this too on a completely up to date F12 x86_64 installation.

The /dev/cdrom link is not made and the players that select from the kde device notifier are unable to play an audio cd until I makde the link by hand. Also have these messages in dmesg:
sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE                                                                  
sr 6:0:0:0: [sr0] Sense Key : Illegal Request [current]                                                                            
sr 6:0:0:0: [sr0] Add. Sense: Illegal mode for this track                                                                          
end_request: I/O error, dev sr0, sector 128                                                                                        
Buffer I/O error on device sr0, logical block 16                                                                                   
Buffer I/O error on device sr0, logical block 17                                                                                   
Buffer I/O error on device sr0, logical block 18                                                                                   
Buffer I/O error on device sr0, logical block 19                                                                                   
Buffer I/O error on device sr0, logical block 20                                                                                   
Buffer I/O error on device sr0, logical block 21                                                                                   
Buffer I/O error on device sr0, logical block 22                                                                                   
Buffer I/O error on device sr0, logical block 23                                                                                   
Buffer I/O error on device sr0, logical block 24                                                                                   
Buffer I/O error on device sr0, logical block 25

etc etc
Comment 19 Roderick Johnstone 2009-12-30 11:15:35 EST
See also:  543097
Comment 20 Fabian A. Scherschel 2009-12-31 11:46:04 EST
With the newest patches I can now *sometimes* mount and rip audio CDs with sound juicer. It still fails in about 90% of cases though. No clue why it works sometimes, but mostly not...
Comment 21 Fabian A. Scherschel 2010-01-17 06:49:55 EST
I installed faac & faac-devel but I'm am still getting the following error with 90% of all audio CDs in Sound Juicer:

Could not read the CD

Sound Juicer could not read the track listing on this CD.
Reason: Cannot access CD: The specified location is not mounted

The CDs are also not being mounted correctly.
Comment 22 Mike C 2010-01-28 17:53:55 EST
I have a new machine with a fully up to date f12 (i386) system.

I attempted to burn a cd iso this evening with vrasero and k3b - both produced lines in /var/log/messages as follows:

Jan 28 20:01:36 home1 kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverby
te=DRIVER_SENSE
Jan 28 20:01:36 home1 kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [cur
rent] 
Jan 28 20:01:36 home1 kernel: Info fld=0x0
Jan 28 20:01:36 home1 kernel: sr 1:0:0:0: [sr0] Add. Sense: Logical block addres
s out of range
Jan 28 20:01:36 home1 kernel: end_request: I/O error, dev sr0, sector 0
Jan 28 20:01:36 home1 kernel: Buffer I/O error on device sr0, logical block 0
Jan 28 20:01:36 home1 kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverby
te=DRIVER_SENSE
Jan 28 20:01:36 home1 kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [cur
rent] 
Jan 28 20:01:36 home1 kernel: Info fld=0x0
Jan 28 20:01:36 home1 kernel: sr 1:0:0:0: [sr0] Add. Sense: Logical block addres
s out of range
Jan 28 20:01:36 home1 kernel: end_request: I/O error, dev sr0, sector 0
Jan 28 20:01:36 home1 kernel: Buffer I/O error on device sr0, logical block 0
Jan 28 20:01:37 home1 kernel: cdrom: This disc doesn't have any tracks I recogni
ze!

smolt server is down but this is a Dell 960 optiplex system. When smolt is back up I will send the hardware profile.
Comment 23 Mike C 2010-01-28 17:57:47 EST
Output from devkit-disks command is:
[mike@home1 ~]$ devkit-disks --show-info /dev/sr0
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sr0
  native-path:                 /sys/devices/pci0000:00/0000:00:1f.2/host1/target1:0:0/1:0:0:0/block/sr0
  device:                      11:0
  device-file:                 /dev/sr0
    by-path:                   /dev/disk/by-path/pci-0000:00:1f.2-scsi-1:0:0:0
  detected at:                 Thu 28 Jan 2010 06:17:12 PM GMT
  system internal:             0
  removable:                   1
  has media:                   0
    detects change:            1
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  size:                        0
  block size:                  0
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  drive:
    vendor:                    HL-DT-ST
    model:                     DVD+-RW GH50N
    revision:                  B102
    serial:                    
    detachable:                0
    can spindown:              0
    rotational media:          1
    ejectable:                 1
    media:                     
      compat:                  optical_cd optical_cd_r optical_cd_rw optical_dvd optical_dvd_plus_r optical_dvd_plus_r_dl optical_dvd_plus_rw optical_dvd_r optical_dvd_ram optical_dvd_rw optical_mrw optical_mrw_w
    interface:                 scsi
    if speed:                  (unknown)
    ATA SMART:                 not available
Comment 24 Mike C 2010-01-29 16:44:51 EST
Hardware for previous two comments is 
http://www.smolts.org/client/show/pub_53505806-c439-4e8d-9c55-02b41d8aa28b
Comment 25 Mike C 2010-01-29 17:57:00 EST
This bz was originally listed as f11, and still is but the problems continue to f12 - should this be changed to f12?
Comment 26 Roderick Johnstone 2010-01-29 18:11:26 EST
I think BZ #57771 may be relevant to at least some of the issues here.
Comment 27 Mike C 2010-01-29 18:13:55 EST
Created attachment 387670 [details]
brasero log for failed burn

This is a brasero log for a failed burn - does this give further clues as to whether this is a kernel problem?
Comment 28 Alex Lancaster 2010-01-29 18:43:07 EST
(In reply to comment #26)
> I think BZ #57771 may be relevant to at least some of the issues here.    

Repost to generating the link: bug #57771

Switching to F-12, can duplicate it there.
Comment 29 Alex Lancaster 2010-01-29 18:44:49 EST
(In reply to comment #26)
> I think BZ #57771 may be relevant to at least some of the issues here.    

Hmm, are you sure it's bug #57771?  That bug is "dhcp-3.0-1 looks for leases in wrong place" from 2001.
Comment 30 Mike C 2010-01-30 10:56:39 EST
is this related to https://bugzilla.redhat.com/show_bug.cgi?id=542021 I wonder?
Comment 31 Roderick Johnstone 2010-01-30 11:12:02 EST
In reply to #29...

Oops, sorry.  I meant BZ #557771
Comment 32 Alex Lancaster 2010-01-31 14:32:49 EST
(In reply to comment #31)
> In reply to #29...
> 
> Oops, sorry.  I meant BZ #557771    

Thanks.

By the way, when you post a link to a bug it's best to put "bug" then the number or "bug #" then then number, then bugzilla creates a handy clickable link like so:  bug #557771.  It doesn't do that for "BZ #<number>"
Comment 33 Alex Lancaster 2010-01-31 15:13:29 EST
(In reply to comment #30)
> is this related to https://bugzilla.redhat.com/show_bug.cgi?id=542021 I wonder?    

Could be similar, there are a lot of issues with optical media in F-11/F-12, but I don't see the error messages like:

sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current]
Info fld=0x0, ILI

which seem to characterise this current bug.
Comment 34 Roderick Johnstone 2010-01-31 16:40:28 EST
Alex: Thanks for the tutorial. I always wondered how to get those links to appear!
Comment 35 Fabian A. Scherschel 2010-02-02 05:52:43 EST
My Smolt profile (up to date), in case it helps: http://www.smolts.org/client/show/pub_e47099a9-e16b-4923-a939-146f4cd181aa
Comment 36 Jaroslav Franek 2010-03-01 16:31:39 EST
Any progress with the issue?

Running Fedora12 on the latest updates-testing and audio CD is still problematic. KDE device notifier can recognize that there is an audio CD and offers some choices, but none works.

Trying "Open with File manager" results in dialog box saying:

"Device does not have read permissions for this account. Check the read permissions on the device."

and the box disappears far too quickly (took me 3 times to get the whole message).

In the /var/log/messages:

Mar  1 22:06:26 localhost kernel: sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Mar  1 22:06:26 localhost kernel: sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Mar  1 22:06:26 localhost kernel: sr 4:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Mar  1 22:06:26 localhost kernel: sr 4:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 08 00
Mar  1 22:06:26 localhost kernel: end_request: I/O error, dev sr0, sector 0
Mar  1 22:06:26 localhost kernel: __ratelimit: 61 callbacks suppressed
Mar  1 22:06:26 localhost kernel: Buffer I/O error on device sr0, logical block 0
Mar  1 22:06:26 localhost kernel: Buffer I/O error on device sr0, logical block 1
Mar  1 22:06:26 localhost kernel: Buffer I/O error on device sr0, logical block 2
Mar  1 22:06:26 localhost kernel: Buffer I/O error on device sr0, logical block 3
Mar  1 22:06:26 localhost kernel: sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Mar  1 22:06:26 localhost kernel: sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Mar  1 22:06:26 localhost kernel: sr 4:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Mar  1 22:06:26 localhost kernel: sr 4:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
Mar  1 22:06:26 localhost kernel: end_request: I/O error, dev sr0, sector 0
Mar  1 22:06:26 localhost kernel: Buffer I/O error on device sr0, logical block 0


Sad, I have to boot to Windows to access my audio CDs :-(
Comment 37 peter 2010-03-02 13:14:36 EST
I made the updates last friday from KDE 4.3.5 to 4.4.0. I have got the same message:
Mar  2 18:53:10 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Mar  2 18:53:10 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Mar  2 18:53:10 localhost kernel: Info fld=0x0, ILI
Mar  2 18:53:10 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Mar  2 18:53:10 localhost kernel: end_request: I/O error, dev sr0, sector 0
Mar  2 18:53:10 localhost kernel: Buffer I/O error on device sr0, logical block 0
Mar  2 18:53:10 localhost kernel: Buffer I/O error on device sr0, logical block 1
Mar  2 18:53:10 localhost kernel: Buffer I/O error on device sr0, logical block 2
Mar  2 18:53:10 localhost kernel: Buffer I/O error on device sr0, logical block 3
Mar  2 18:53:10 localhost kernel: Buffer I/O error on device sr0, logical block 4
Mar  2 18:53:10 localhost kernel: Buffer I/O error on device sr0, logical block 5
Mar  2 18:53:10 localhost kernel: Buffer I/O error on device sr0, logical block 6
Mar  2 18:53:10 localhost kernel: Buffer I/O error on device sr0, logical block 7
Mar  2 18:53:10 localhost kernel: Buffer I/O error on device sr0, logical block 8
Mar  2 18:53:10 localhost kernel: Buffer I/O error on device sr0, logical block 9

When I start Kscd from Konsole I get following message:
kscd(8191)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from  "/var/tmp/kdecache-perdelyi/ksycoca4"
and nothing more happens.

Kscd starts when I launch it by the device notifier, shows me the playlist but doesn't play the cd.
Comment 38 Fabian A. Scherschel 2010-03-06 06:38:43 EST
Yeah, this still seems unresolved. Not being able to use audio CDs at all is really annoying. Again: What information is still needed to resolve this?

Has anyone tested this with what-is-to-be F13? Carrying this over into the next release would be a real shame, I think.
Comment 39 peter 2010-03-18 14:52:15 EDT
The update to 4.4.1 resolves the problem. Everything seems to work. I've tested with Kscd succesfully. Thanks a lot!
Comment 40 Fabian A. Scherschel 2010-03-19 05:08:33 EDT
(In reply to comment #39)
> The update to 4.4.1 resolves the problem. Everything seems to work. I've tested
> with Kscd succesfully. Thanks a lot!    

Any idea what component actually fixed this? I am not running KDE...
Comment 41 Nik Lam 2010-03-19 21:44:47 EDT
Peter from #39, could you please check to see if you are still getting any "Sense Key : Illegal Request [current]" output in /var/log/messages.

I suspect that KDE is just doing a better job of coping with the underlying kernel/driver issue. I don't have trouble playing audio CDs under KDE on my laptop, but GNOME goes into a cycle of trying to mount the disc, each time generating the DBus popup error.

GNOME does apparently handle data CDs fine, however if you look at /var/log/messages, the kernel is still complaining with stuff like this when a iso9660 CD is inserted:

Mar 20 10:54:15 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Mar 20 10:54:15 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Mar 20 10:54:15 localhost kernel: Info fld=0x26976
Mar 20 10:54:15 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Mar 20 10:54:15 localhost kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 02 69 76 00 00 01 00
Mar 20 10:54:15 localhost kernel: end_request: I/O error, dev sr0, sector 632280
Mar 20 10:54:15 localhost kernel: Buffer I/O error on device sr0, logical block 158070
Mar 20 10:54:15 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Mar 20 10:54:15 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Mar 20 10:54:15 localhost kernel: Info fld=0x26976
Mar 20 10:54:15 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Mar 20 10:54:15 localhost kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 02 69 76 00 00 01 00
Mar 20 10:54:15 localhost kernel: end_request: I/O error, dev sr0, sector 632280
Mar 20 10:54:15 localhost kernel: Buffer I/O error on device sr0, logical block 158070

The last couple of times I've burned data CDs in GNOME, they've resulted in reported failures. The actual CDs were readable OK, even on other systems.

So in my case, and perhaps most of these others, there's an underlying problem with the kernel/driver for the optical drive (MATSHITA DVD-RAM UJ-844 in my case). If that's the case, is it possible to rename this bug to reflect this, or should we pearhaps create a new report?
Comment 42 Fabian A. Scherschel 2010-03-20 11:56:36 EDT
How do I find out what type of CD/DVD drive I have? lscpi doesn't list it.
Comment 43 Nik Lam 2010-03-21 09:51:47 EDT
Fabian, I just grabbed the string that appears in dmesg -

[nikl@localhost ~]$ dmesg | grep -i dvd
ata2.00: ATAPI: MATSHITADVD-RAM UJ-844, RC02, max UDMA/33
scsi 1:0:0:0: CD-ROM            MATSHITA DVD-RAM UJ-844   RC02 PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[nikl@localhost ~]$ 

But you make a good point - lspci and dmidecode don't output anything about the drive, and maybe smolt uses these tools - does this make it harder to identify problematic hardware?
Comment 44 James 2010-03-23 20:17:15 EDT
Just to chime in, I see these sorts of messages when either blank media or audio CDs are inserted. This happens on my two different machines, one x86_64 with a TSSTcorp CDDVDW SN-S082H DVD burner, another which is i686 with an HL-DT-STCD-RW/DVD DRIVE GCC-4241N. Regardless, the drives seem to work and data is read from them OK. I don't get any fuss with data CDs.
Comment 45 Alex Lancaster 2010-03-24 18:09:33 EDT
(In reply to comment #43)
> Fabian, I just grabbed the string that appears in dmesg -
> 
> [nikl@localhost ~]$ dmesg | grep -i dvd
> ata2.00: ATAPI: MATSHITADVD-RAM UJ-844, RC02, max UDMA/33
> scsi 1:0:0:0: CD-ROM            MATSHITA DVD-RAM UJ-844   RC02 PQ: 0 ANSI: 5
> sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
> [nikl@localhost ~]$ 

Nik,

I get similar issues with a very similar MATSHITA DVD drive:

ata5.00: ATAPI: MATSHITAUJ-832D, 1.02, max UDMA/33
 sda:<5>scsi 4:0:0:0: CD-ROM            MATSHITA UJ-832D          1.02 PQ: 0 ANSI: 5
Comment 46 Fabian A. Scherschel 2010-03-30 05:23:47 EDT
On F13 Alpha it still doesn't work and I get the following pop-up error in Gnome:

DBus error org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

and Sound Juicer says it can not extract the CD because:

Reason: Could not open CD device for reading.


The kernel spits out lots of these:

Mar 30 11:14:00 serenity kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Mar 30 11:14:00 serenity kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Mar 30 11:14:00 serenity kernel: Info fld=0x0
Mar 30 11:14:00 serenity kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Mar 30 11:14:00 serenity kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
Mar 30 11:14:00 serenity kernel: end_request: I/O error, dev sr0, sector 0
Mar 30 11:14:00 serenity kernel: Buffer I/O error on device sr0, logical block 0
Mar 30 11:14:00 serenity kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Mar 30 11:14:00 serenity kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Mar 30 11:14:00 serenity kernel: Info fld=0x0
Mar 30 11:14:00 serenity kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Mar 30 11:14:00 serenity kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
Mar 30 11:14:00 serenity kernel: end_request: I/O error, dev sr0, sector 0
Mar 30 11:14:00 serenity kernel: Buffer I/O error on device sr0, logical block 0
Comment 47 Claudio Guimarães 2010-04-05 16:23:33 EDT
Same issue running F12 X86_64 and Kde 4.4.1 with 3 different optic drives.
I noticed that K3b has normal access to audio CDs. It can evenly extract the audio tracks and search for them in CDDB. But K3b runs over Kde 3.5.10.
Even after working with the audio CD in K3b it can't be read by any other Kde application. I can play Cds on SMPlayer and Xine.
It looks like an issue with Kde 4, at least in my system.
Comment 48 Fabian A. Scherschel 2010-04-05 16:50:55 EDT
I don't think it's KDE specific. I'm using Gnome and Gnome apps...
Comment 49 Sebastian Krämer 2010-05-18 17:56:32 EDT
> Sound Juicer could not read the track listing on this CD. Reason: Cannot access
> CD: The specified location is not mounted
(that is sound-juicer 2.28.1)

dmesg |tail :
sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] ILI
sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
end_request: I/O error, dev sr0, sector 0

banshee (1.6.0) recognizes the cd, plays it but goes to an endless loop with GUI unresponding when importing/ripping (which might be unrelated, because that happens in other situations too).

cdda2wav has no problem whatsoever playing or ripping the cd, MPlayer plays it fine too (relying on cdda I think).

I don't think that any kde libs are involved in my case.

Sad :(
Comment 50 Fabian A. Scherschel 2010-05-21 06:27:31 EDT
Yeah, this is still going on. I'm pretty convinced this is a kernel problem with the Matshita driver. Weirdly, these issues aren't present in Ubuntu so maybe they patched it?
Comment 51 James 2010-06-05 16:17:20 EDT
Take a look at https://bugzilla.kernel.org/show_bug.cgi?id=15757 which seems to indicate it's a udev problem. There's a couple of fixes for this in the udev and udisks (DeviceKit-disks in F12?) rules. They resolved the kernel message issue for me.
Comment 52 Fabian A. Scherschel 2010-06-06 07:12:58 EDT
So where exactly do I modify these files? I can't find either 60-persistent-storage.rules or 80-udisks.rules in /etc/udev/rules.d - am I looking in the wrong place?
Comment 53 James 2010-06-06 09:59:58 EDT
(In reply to comment #52)
> So where exactly do I modify these files? I can't find either
> 60-persistent-storage.rules or 80-udisks.rules in /etc/udev/rules.d - am I
> looking in the wrong place?    

They're in /lib/udev/rules.d/ --- the udisks one may be absent or under a different name in F12, though.
Comment 54 Fabian A. Scherschel 2010-06-06 10:51:53 EDT
I'm running F13 and I've found and patched the files. Will report back if this fixes it...
Comment 55 Fabian A. Scherschel 2010-06-06 11:06:37 EDT
After applying the fixes I still get repeated messages like these:

ata2: limiting SATA link speed to 1.5 Gbps
ata2.00: exception Emask 0x12 SAct 0x0 SErr 0x400 action 0x6 frozen
ata2.00: irq_stat 0x08000000, interface fatal error
ata2: SError: { Proto }
sr 1:0:0:0: [sr0] CDB: Read TOC/PMA/ATIP: 43 02 05 00 00 00 00 00 02 00 00 00
ata2.00: cmd a0/00:00:00:02:00/00:00:00:00:00/a0 tag 0 pio 16388 in
         res 50/00:03:00:04:00/00:00:00:00:00/a0 Emask 0x12 (ATA bus error)
ata2.00: status: { DRDY }
ata2: hard resetting link
ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata2.00: ACPI cmd e3/00:1f:00:00:00:a0 (IDLE) succeeded
ata2.00: ACPI cmd e3/00:02:00:00:00:a0 (IDLE) succeeded
ata2.00: ACPI cmd e3/00:1f:00:00:00:a0 (IDLE) succeeded
ata2.00: ACPI cmd e3/00:02:00:00:00:a0 (IDLE) succeeded
ata2.00: configured for UDMA/33
ata2: EH complete

I also still get DBus errors and SoundJuicer can't extract CDs. It now seems to be able to read the TOCs correctly, though.

Current kernel is 2.6.33.5-112.fc13.i686.PAE
Comment 56 Benjamín Valero Espinosa 2010-08-27 10:05:52 EDT
I have fixed this downgrading 'libudev' from 153-3 to 151-9. Should this bug be moved to udev?
Comment 57 Chuck Ebbert 2010-08-27 12:21:01 EDT
(In reply to comment #56)
> I have fixed this downgrading 'libudev' from 153-3 to 151-9. Should this bug be
> moved to udev?

Reassigning to udev.
Comment 58 Harald Hoyer 2010-08-30 05:50:06 EDT
(In reply to comment #57)
> (In reply to comment #56)
> > I have fixed this downgrading 'libudev' from 153-3 to 151-9. Should this bug be
> > moved to udev?
> 
> Reassigning to udev.

This bug is for F12?
Comment 59 Benjamín Valero Espinosa 2010-08-30 06:07:46 EDT
(In reply to comment #58)
> (In reply to comment #57)
> > (In reply to comment #56)
> > > I have fixed this downgrading 'libudev' from 153-3 to 151-9. Should this bug be
> > > moved to udev?
> > 
> > Reassigning to udev.
> 
> This bug is for F12?

I am having it in F13 updated.
Comment 60 Harald Hoyer 2010-08-30 06:18:29 EDT
(In reply to comment #59)
> (In reply to comment #58)
> > (In reply to comment #57)
> > > (In reply to comment #56)
> > > > I have fixed this downgrading 'libudev' from 153-3 to 151-9. Should this bug be
> > > > moved to udev?
> > > 
> > > Reassigning to udev.
> > 
> > This bug is for F12?
> 
> I am having it in F13 updated.

please open a new bug for this and show me 

# udevadm info --query=all --name=/dev/cdrom

And you downgraded only libudev and not udev?
Comment 61 Randell Jesup 2010-09-02 14:01:15 EDT
So, to reiterate my comment from a year ago, I'm shocked that a problem like this (which obviously is solvable, in that Ubuntu works fine on the same hardware, and various component downgrades/etc solve it for people) has dragged on for YEARS (I think from the messages here the first report was for F10, and we're on F13 now).

How many failed attempts to fix it have there been?

Perhaps someone with a drive that causes the failures could ship it off to Harald or whomever is going to try to resolve it.
Comment 62 Andrei Solodin 2010-09-07 02:01:56 EDT
I am having this problem as well in FC13. I sort of got around it by applying patches mentioned in https://bugzilla.kernel.org/show_bug.cgi?id=15757 and disabling media automount in Nautilus. If I do not disable the automount, the audio CD's still don't work because Nautilus keeps trying to mount it and failing with "Unable to mount Audio Disc DBus error org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)", which messes up whatever app is trying to access the CD. This is very unfortunate, because automount is nice to have for camera etc. The dmesg shows the following messages:

(scsi2:A:0:0): No or incomplete CDB sent to device.
scsi2: Issued Channel A Bus Reset. 1 SCBs aborted

Data CD's mount and work just fine.
Comment 64 Harald Hoyer 2010-09-09 04:22:37 EDT
(In reply to comment #63)
> So our udev still doesn't have these fixes?
> 
> http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff_plain;h=484e1b2d11b9b89418589d885a625e647881933b

This is in the F13 udev.
Comment 65 Benjamín Valero Espinosa 2010-09-09 08:43:09 EDT
Created attachment 446241 [details]
Output from udevadm

This is what I get running

# udevadm info --query=all --name=/dev/cdrom
Comment 66 Fedora Update System 2010-09-21 10:39:49 EDT
udev-145-22.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/udev-145-22.fc12
Comment 67 Fedora Update System 2010-09-21 20:34:20 EDT
udev-145-22.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/udev-145-22.fc12
Comment 68 James 2010-09-23 14:18:35 EDT
(In reply to comment #63)
> So our udev still doesn't have these fixes?
> 
> http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff_plain;h=484e1b2d11b9b89418589d885a625e647881933b
> 
> http://cgit.freedesktop.org/udisks/patch/?id=c2464f7bf215cd17962e917b974c573378d4e58b

The first one seems to be in F13, but the second one hasn't made it to udisks yet (current is udisks-1.0.1-4.fc13.x86_64).
Comment 69 Bug Zapper 2010-11-04 02:42:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 70 Benjamín Valero Espinosa 2010-11-04 03:57:25 EDT
I am still having this problem in F13. Shortly I suppose I will move to F14.
Comment 71 Fabian A. Scherschel 2010-11-04 09:06:34 EDT
Bug is still present in F14. Please update the version accordingly...
Comment 72 Randell Jesup 2010-11-04 10:55:14 EDT
So, this has been broken since F10 (around 1 1/2 years or more and counting...).  Looks like we'll have to move it all to a new bug yet again due to the obsolescence setup here.  That itself says a lot...
Comment 73 Fabian A. Scherschel 2010-11-04 11:13:18 EDT
Yes. The fact that people with one of the most common laptop CD/DVD drives can't rip or properly play any audio CDs in Fedora for so long now is a disgrace...
Comment 74 Alex Lancaster 2010-11-04 16:04:01 EDT
(In reply to comment #71)
> Bug is still present in F14. Please update the version accordingly...

As the original reporter, I can't duplicate this error with f14, but I've moved to a different laptop in the meantime.  Basically CDs seem to work just fine, I do see some odd messages in the log, but they don't seem to interfere with playback or recognition of discs.  Nevertheless as others can duplicate this bug, I'm moving this to f14.

(In reply to comment #73)
> Yes. The fact that people with one of the most common laptop CD/DVD drives
> can't rip or properly play any audio CDs in Fedora for so long now is a
> disgrace...

Which particular CD/DVD drive(s) seem to be most affected?  Clearly the Matshita is one of them, is all models, or just particular ones?
Comment 75 Alex Lancaster 2010-11-04 16:05:13 EDT
David, any chance of an update of udisks as per comment #68?
Comment 76 Fabian A. Scherschel 2010-11-05 06:09:39 EDT
I can confirm that the Matshita has this problem. As soon as I get F14 on another machine with an optical drive, I'll test and give some feedback.
Comment 77 James 2010-11-16 19:19:00 EST
(In reply to comment #75)
> David, any chance of an update of udisks as per comment #68?

Bug 654138 filed to chase this up.
Comment 78 Joseph Shraibman 2010-11-20 22:04:56 EST
I am having this problem in Fedora 13. This is a problem for some cds but not others. I can rip with grip when sound-juicer fails.  My computer is:
http://smolts.org/show?uuid=pub_49dca92e-6d65-4252-b657-c917427dffb3+
Comment 79 Joseph Shraibman 2010-11-20 22:06:53 EST
Created attachment 461791 [details]
Output from udevadm test /class/block/sr0
Comment 80 Harald Hoyer 2010-11-22 04:20:17 EST
(In reply to comment #79)
> Created attachment 461791 [details]
> Output from udevadm test /class/block/sr0

udevadm_test: ID_CDROM_MEDIA=1
udevadm_test: ID_CDROM_MEDIA_CD=1
udevadm_test: ID_CDROM_MEDIA_SESSION_COUNT=1
udevadm_test: ID_CDROM_MEDIA_TRACK_COUNT=15
udevadm_test: ID_CDROM_MEDIA_TRACK_COUNT_AUDIO=15

looks good!
Comment 81 Fabian A. Scherschel 2010-11-22 04:25:51 EST
I also thought this was fixed earlier but it turns out only one CD worked. It does seem to have something to do with the specific CD used but I can still reliably reproduce the bug on F14 with kernel 2.6.35.8-55.fc14.i686
Comment 82 Joseph Shraibman 2010-11-22 10:45:24 EST
(In reply to comment #80)
> 
> looks good!

Not to sound-juicer :(

BTW that cd was the sampler cd included in the December 2010 Rock Sound
Comment 83 Ryan 2010-11-30 05:50:50 EST
I am also having this problem:

Kernel: 2.6.35.6-48.fc14.x86_64

output from dmesg:

[ 1486.742623] Buffer I/O error on device sr0, logical block 1
[ 1486.744193] sr 5:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 1486.744198] sr 5:0:0:0: [sr0] Sense Key : Illegal Request [current] 
[ 1486.744202] sr 5:0:0:0: [sr0] Add. Sense: Illegal mode for this track
[ 1486.744209] sr 5:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
[ 1486.744217] end_request: I/O error, dev sr0, sector 0

Output from udevadm:
# udevadm info --query=all --name=/dev/sr0
P: /devices/pci0000:00/0000:00:0d.0/host5/target5:0:0/5:0:0:0/block/sr0
N: sr0
S: block/11:0
S: scd0
S: disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0
S: cdrom1
S: cdrw1
S: dvd1
S: dvdrw1
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:0d.0/host5/target5:0:0/5:0:0:0/block/sr0
E: SUBSYSTEM=block
E: DEVNAME=sr0
E: ID_CDROM=1
E: ID_CDROM_CD=1
E: ID_CDROM_CD_R=1
E: ID_CDROM_CD_RW=1
E: ID_CDROM_DVD=1
E: ID_CDROM_DVD_R=1
E: ID_CDROM_DVD_RW=1
E: ID_CDROM_DVD_RAM=1
E: ID_CDROM_DVD_PLUS_R=1
E: ID_CDROM_DVD_PLUS_RW=1
E: ID_CDROM_DVD_PLUS_R_DL=1
E: ID_CDROM_MRW=1
E: ID_CDROM_MRW_W=1
E: ID_CDROM_MEDIA=1
E: ID_CDROM_MEDIA_CD=1
E: ID_CDROM_MEDIA_SESSION_COUNT=1
E: ID_CDROM_MEDIA_TRACK_COUNT=10
E: ID_CDROM_MEDIA_TRACK_COUNT_AUDIO=10
E: ID_SCSI=1
E: ID_VENDOR=TSSTcorp
E: ID_VENDOR_ENC=TSSTcorp
E: ID_MODEL=CDDVDW_SH-S203B
E: ID_MODEL_ENC=CDDVDW\x20SH-S203B\x20
E: ID_REVISION=SB00
E: ID_TYPE=cd
E: ID_BUS=scsi
E: ID_PATH=pci-0000:00:0d.0-scsi-1:0:0:0
E: GENERATED=1
E: UDISKS_PRESENTATION_NOPOLICY=0
E: MAJOR=11
E: MINOR=0
E: DEVTYPE=disk
E: DEVLINKS=/dev/block/11:0 /dev/scd0 /dev/disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0 /dev/cdrom1 /dev/cdrw1 /dev/dvd1 /dev/dvdrw1
E: TAGS=:udev-acl:
Comment 84 Ryan 2010-11-30 10:06:11 EST
I seem to have resolved my own issue...albeit still with errors in dmesg to the same effect (buffer I/O error) but I am able to read cd's again...only change I really made was to make sure I ejected using the device notifier when finished with the device, but apart from a reboot after installing some unrelated packages, I haven't changed anything.
Comment 85 Paul 2011-05-17 00:02:53 EDT
If the information helps, I just installed F14 on one of my three machines and for the first time since either F9 or F11, I am having success with a CD only drive (the DVD/CD behaves in both F13 and F14). Am testing with Rhythmbox.

Something has changed for the better ...
Comment 86 freemarket 2011-06-04 23:11:18 EDT
Hi,
I just replaced my old Samsung with a brand new TSSTcorp][CDDVDW SH-S222L ][SB03]
I am running on FC14, under kernel: 2.6.35.13-91.fc14.x86_64.
I am receiving exactly the same errors after I successfully burn an audio CD and attempt to read it on the same burner:

Jun  4 22:36:06 saillon kernel: [ 4257.195498] end_request: I/O error, dev sr0, 
sector 80
Jun  4 22:36:06 saillon kernel: [ 4257.195502] Buffer I/O error on device sr0, l
ogical block 20
Jun  4 22:36:06 saillon kernel: [ 4257.195506] Buffer I/O error on device sr0, l
ogical block 21
Jun  4 22:36:06 saillon kernel: [ 4257.195512] Buffer I/O error on device sr0, l
ogical block 22
Jun  4 22:36:06 saillon kernel: [ 4257.195515] Buffer I/O error on device sr0, l
ogical block 23
Jun  4 22:36:11 saillon kernel: [ 4261.660134] sr 4:0:0:0: [sr0] Unhandled sense
 code
Jun  4 22:36:11 saillon kernel: [ 4261.660138] sr 4:0:0:0: [sr0] Result: hostbyt
e=DID_OK driverbyte=DRIVER_SENSE
Jun  4 22:36:11 saillon kernel: [ 4261.660142] sr 4:0:0:0: [sr0] Sense Key : Med
ium Error [current] 
Jun  4 22:36:11 saillon kernel: [ 4261.660146] sr 4:0:0:0: [sr0] Add. Sense: L-E
C uncorrectable error
Jun  4 22:36:11 saillon kernel: [ 4261.660150] sr 4:0:0:0: [sr0] CDB: Read(10): 
28 00 00 00 00 14 00 00 02 00

I am similarly receiving these errors for audio CD's (just popped in DSOTM).
I will be glad to provide any additional information required to help resolve
this issue.

Thanks,
henry
Comment 87 Joseph Shraibman 2011-07-13 22:52:57 EDT
I just upgraded Fedora 13 -> Fedora 15 and found a new cd that triggers this problem.

[48813.511157] Buffer I/O error on device sr0, logical block 16
[48813.511168] Buffer I/O error on device sr0, logical block 17
[48813.886100] sr 3:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[48813.886106] sr 3:0:0:0: [sr0]  Sense Key : Illegal Request [current] 
[48813.886111] Info fld=0x10, ILI
[48813.886113] sr 3:0:0:0: [sr0]  Add. Sense: Illegal mode for this track
[48813.886120] sr 3:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 10 00 00 02 00
[48813.886127] end_request: I/O error, dev sr0, sector 64
[48813.891568] sr 3:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[48813.891573] sr 3:0:0:0: [sr0]  Sense Key : Illegal Request [current] 
[48813.891578] Info fld=0x10, ILI
[48813.891579] sr 3:0:0:0: [sr0]  Add. Sense: Illegal mode for this track
[48813.891587] sr 3:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 10 00 00 02 00
[48813.891594] end_request: I/O error, dev sr0, sector 64

The CD is The Enigma of Life by Sirenia.

Kernel is 2.6.38.8-32.fc15.x86_64

BTW why is this marked NEEDINFO?
Comment 88 Joseph Shraibman 2011-07-13 22:55:26 EDT
Created attachment 512786 [details]
output of udevadm test /class/block/sr0 on Enigma of Life CD
Comment 89 Alex Lancaster 2011-07-14 13:35:06 EDT
(In reply to comment #87)
 
> BTW why is this marked NEEDINFO?

I was trying to get feedback from David Zeuthen about whether a udisks update would fix this (see my comment #75).  It's possibly not relevant now, and it seems that he has also not responded to bug #654138 which was filed to follow it up.
Comment 90 Joe Zeff 2011-08-05 18:01:55 EDT
I am running F14.  Checking with uname -r I see that I'm using 2.6.35.13-92.fc14.i686.  Late last month, I tried without success to mount several commercial audio CDs, one of which I'd used before, without success.  DVDs and data CDs work fine.  At that time, tail -f /var/log/messages reported this:

Jul 28 14:07:21 khorlia kernel: [3792447.281593] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jul 28 14:07:21 khorlia kernel: [3792447.281604] sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Jul 28 14:07:21 khorlia kernel: [3792447.281615] Info fld=0x10
Jul 28 14:07:21 khorlia kernel: [3792447.281619] sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Jul 28 14:07:21 khorlia kernel: [3792447.281632] sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 10 00 00 02 00
Jul 28 14:07:21 khorlia kernel: [3792447.281650] end_request: I/O error, dev sr0, sector 64

The symptoms haven't changed, but there are no longer any new messages generated when I try.  I'm not sure this is the same bug, but it looks like it just might be.
Comment 91 eric@ericgar.com 2011-08-07 00:18:11 EDT
I'm running a kernel I compiled a few days ago and still see the same errors. I'm somewhat interested in bisecting to find when this broke, but I don't know that I'll find the time.

Linux markov 3.0.0+ #7 SMP Wed Jul 27 03:53:05 EDT 2011 x86_64 GNU/Linux

[39435.827290] sr 1:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[39435.827303] sr 1:0:0:0: [sr0]  Sense Key : Illegal Request [current] 
[39435.827314] Info fld=0x10
[39435.827319] sr 1:0:0:0: [sr0]  Add. Sense: Illegal mode for this track
[39435.827335] sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 10 00 00 01 00
[39435.827356] end_request: I/O error, dev sr0, sector 64
[39435.836299] sr 1:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[39435.836303] sr 1:0:0:0: [sr0]  Sense Key : Illegal Request [current] 
[39435.836306] Info fld=0x100
...
Comment 92 eric@ericgar.com 2011-08-07 01:29:26 EDT
Created attachment 517030 [details]
/var/log/messages snippet with cdrom and scsi debugging

This provides a bit more context as to where the sr error messages are coming from
Comment 93 Ryan 2011-08-18 23:04:49 EDT
I have a TSSTcorp DVD drive, I recently found that it was still running the first ever firmware release from 2008 (SB00) (keeping in mind I bought the drive in 2010...quality control is obviously great in that store.) and since the update the drive has run a lot better...I don't know whether I would still be experiencing this error though as I'm not currently running Fedora on that machine apart from in a VM but it might be worthwhile checking for updated drive firmware if the manufacturer provides that and seeing if it makes a difference considering it has improved the drive performance noticeably.
Comment 94 stephanseeger 2011-08-25 03:53:38 EDT
Could someone verify if this is a bug at all or if this is just normal behavior if you try to "mount" an audio-cd - cause audio cds to my knowledge do not contain a "mountable" filesystem as they comply to IEC 60908 (Red Book) and not i.e. to ISO9660.

At least for me this problem was not udev or drive firmware related but went away with installation of cdda support via libcdaudio.
Comment 95 stephanseeger 2011-08-25 16:40:19 EDT
Sorry, i was mistaken - I did some research on the linux system with which i was experiencing those problems (Ubuntu based Yavdr):

It was obviously not libcdaudio that seemed to have resolved my problem but I suppose it was the installation of a package named yavdr-plugin-cdda (or one of its dependencies).
Comment 96 Joe Zeff 2011-08-25 16:54:53 EDT
I don't get an icon on my desktop any more for an audio CD, most audio programs can't find it and neither can cdparanoia.  Until recently, all of that worked.  I don't care if you call it "mounting the CD" or not, it Just Doesn't Work the way it used to.
Comment 97 Paul 2011-08-26 03:39:20 EDT
I don't know if this will help, but I put an audio CD into my F14 box, the "Audio Disc" icon showed on the screen, and Rhythmbox played it. Mind you, I've got "[Bug 705229] pause disables play until disk ejected" opened but I don't think that matters in this "can I play an audio CD" request.

The last update I did was August 18th and I can see that there is a new update available which I have not taken.

Paul
Comment 98 Joe Zeff 2011-08-30 19:43:02 EDT
A slight correction to comment 96: I've been using soundjuicer, not cdparanoia.  Soundjuicer insists that it can't read the CD because it's not mounted, although parole, the default XFCE multi-media program picks it up just fine.
Comment 99 Joe Zeff 2011-09-11 02:13:32 EDT
FWIW, I just upgraded from XFCE 4.6 to 4.8.  Now, audio CDs show an icon on the desktop and soundjuicer finds them just like it used to.  It doesn't pick up the track names or artists on the new CDs, but it does on an old one, so it's probably not a Linux issue.
Comment 100 Fedora Admin XMLRPC Client 2011-10-20 12:11:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 101 Fedora Admin XMLRPC Client 2011-10-20 12:12:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 102 Fedora Admin XMLRPC Client 2011-10-20 12:15:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 103 eric@ericgar.com 2011-12-01 01:35:01 EST
I just upgraded to the 3.1.0-1-amd64 Debian kernel and am able to properly read the same audio CDs that I was not able to earlier. Unfortunately, I don't have the time at the moment to inspect what might have fixed this, if it was, in fact, just the kernel upgrade.
Comment 104 Suraj Varma 2012-01-04 15:04:37 EST
I have a fresh F16 install - and audio CD is not recognized but data CD mounts & works just fine. I came upon this bug report and the symptoms are similar. 

[root@localhost media]# uname -r
3.1.6-1.fc16.x86_64


[root@localhost log]# dmesg | grep -i sr0
[    2.069690] sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda pop-up
[    2.070094] sr 1:0:0:0: Attached scsi CD-ROM sr0
[74491.282346] SELinux: initialized (dev sr0, type udf), uses genfs_contexts
[74567.521437] VFS: busy inodes on changed media or resized disk sr0
[74582.026683] sr 1:0:0:0: [sr0] Device not ready
[74582.026689] sr 1:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[74582.026697] sr 1:0:0:0: [sr0]  Sense Key : Not Ready [current] 
[74582.026704] sr 1:0:0:0: [sr0]  Add. Sense: Medium not present - tray closed
[74582.026713] sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 01 33 00 00 01 00
[74582.026728] end_request: I/O error, dev sr0, sector 1228
[74582.028806] sr 1:0:0:0: [sr0] Device not ready
[74582.028811] sr 1:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[74582.028817] sr 1:0:0:0: [sr0]  Sense Key : Not Ready [current] 
[74582.028824] sr 1:0:0:0: [sr0]  Add. Sense: Medium not present - tray closed
[74582.028832] sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 01 33 00 00 01 00
[74582.028845] end_request: I/O error, dev sr0, sector 1228
[root@localhost log]# 

I understand that mount won't work with audio cds (attempts to mount return no medium found error as below.)
[root@localhost log]# mount -t iso9660 /dev/sr0 /media/cdrom
mount: no medium found on /dev/sr0

Again - data cds mount without any error and I can see the contents as well.

Please let me know if you'd like additional diagnostic info.
Comment 105 Paul 2012-01-28 02:15:06 EST
I am trying to understand where things stand with bug

As of this moment when I am writing this comment, the bug is still pegged to F14 and is tagged as ON_QA. The log of this bug indicates nothing about something being pushed to QA (which I assume means "a fix")

Can I get some confirm about whether this is really in QA with a target of at least F16? (as F14 is EOL, there is no point is considering that)

Thanks in advance,
Paul
Comment 106 Alex Lancaster 2012-01-28 11:15:15 EST
(In reply to comment #105)
> I am trying to understand where things stand with bug
> 
> As of this moment when I am writing this comment, the bug is still pegged to
> F14 and is tagged as ON_QA. The log of this bug indicates nothing about
> something being pushed to QA (which I assume means "a fix")
> 
> Can I get some confirm about whether this is really in QA with a target of at
> least F16? (as F14 is EOL, there is no point is considering that)

I think it ended up as having QA because at one point an update was made that was supposed to fix it, but maybe never pushed.  I'm switching it back to ASSIGNED and updated to F16, since comment #104 suggests that it is still an issue with F16.  Also dropping the NEEDINFO, not sure if David Zeuthen is still a maintainer of this package.
Comment 107 Paul 2012-01-28 14:22:46 EST
Alex:

Thanks for the reply and action

Paul
Comment 108 Fedora End Of Life 2013-01-16 20:27:51 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 109 Fedora End Of Life 2013-02-13 21:46:31 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.